using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.OleDb;
using System.Collections;
using Telerik.Web.UI.Calendar;

public partial class _Default : System.Web.UI.Page
{
   

    protected void Page_PreRender(object sender, EventArgs e)
    {
        foreach (GridDataItem item in RadGrid1.Items)
        {
            item.Edit = true;
        }
        RadGrid1.Rebind();
    }

    protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridDataItem && e.Item.IsInEditMode || e.Item is GridFilteringItem)
        {
            foreach (GridColumn column in e.Item.OwnerTableView.RenderColumns)
            {
                if (column is GridBoundColumn && !((GridBoundColumn)column).ReadOnly)
                {
                    TextBox textBox = null;
                    if (e.Item is GridDataItem)
                    {
                        textBox = ((TextBox)((GridDataItem)e.Item)[column.UniqueName].Controls[0]);
                        textBox.Style["width"] = "100%";
                        textBox.Style["height"] = "100%";
                        textBox.Style["border"] = "0px";
                    }
                }
            }
        }
    }

    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.UpdateEditedCommandName)
        {
            //include custom code to update database here
        }
    }
    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        int startRowIndex = RadGrid1.CurrentPageIndex * RadGrid1.PageSize;
        int maximumRows = RadGrid1.PageSize;
        int maxColumns = 15;

        DataTable table = new DataTable();
        for (int i = 0; i < maxColumns; i++)
        {
            table.Columns.Add(new DataColumn("Column" + i));
        }
        for (int i = 0; i < maximumRows; i++)
        {
            int index = i + startRowIndex;

            object[] data = new object[maxColumns];
            for (int j = 0; j < maxColumns; j++)
            {
                data[j] = "";
            }
            table.Rows.Add(data);
        }

        ((RadGrid)source).DataSource = table;
    }
}
